require 'moji'

class KatakanaValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    unless value.is_a?(String) && value.chars.all?{|c| Moji.type?(c, Moji::KATA) }
      record.errors.add(attribute, options[:message] || :invalid)
    end
  end
end
